# eric7.Network.IRC.IrcUtilities

Module implementing functions used by several IRC objects.

### Global Attributes

__ColorRe
__UrlRe
__channelModesDict

### Classes

None

### Functions

__initChannelModesDict | Private module function to initialize the channels modes dictionary.
getChannelModesDict | Module function to get the dictionary with the channel modes mappings.
ircFilter | Module method to make the message HTML compliant and detect URLs.
ircTimestamp | Module method to generate a time stamp string.

## __initChannelModesDict

__initChannelModesDict()

Private module function to initialize the channels modes dictionary.

Up

## getChannelModesDict

getChannelModesDict()

Module function to get the dictionary with the channel modes mappings.

Return:
  dictionary with channel modes mapping (dict)

Up

## ircFilter

ircFilter(msg)

Module method to make the message HTML compliant and detect URLs.

msg
  message to process (string)

Return:
  processed message (string)

Up

## ircTimestamp

ircTimestamp()

Module method to generate a time stamp string.

Return:
  time stamp (string)

Up